<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE TS><TS version="1.1" language="en">
<defaultcodec></defaultcodec>
<context>
    <name>BinaryStringWidget</name>
    <message>
        <location filename="widgets/binarystring.ui" line="14"/>
        <source>BinaryString</source>
        <translation>BinaryString</translation>
    </message>
    <message>
        <location filename="widgets/binarystring.ui" line="26"/>
        <source>UTF-16</source>
        <translation>UTF-16</translation>
    </message>
    <message>
        <location filename="widgets/binarystring.ui" line="36"/>
        <source>ASCII</source>
        <translation>ASCII</translation>
    </message>
    <message>
        <location filename="widgets/binarystring.ui" line="49"/>
        <source>Hex</source>
        <translation>Hex</translation>
    </message>
</context>
<context>
    <name>DebuggerMain</name>
    <message>
        <location filename="DebuggerMain.cpp" line="234"/>
        <source>About QT</source>
        <translation>About QT</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="319"/>
        <source>&amp;Follow In Dump</source>
        <translation>&amp;Follow In Dump</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="320"/>
        <source>&amp;Follow In Dump (New Tab)</source>
        <translation>&amp;Follow In Dump (New Tab)</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="321"/>
        <source>&amp;Follow In Stack</source>
        <translation>&amp;Follow In Stack</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="346"/>
        <source>Register Value</source>
        <translation>Register Value</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="358"/>
        <source>About EDB</source>
        <translation>About EDB</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="366"/>
        <source>&lt;p&gt;EDB (Evan&apos;s Debugger) is designed to be an easy to use, modular, and cross platform debugger.&lt;/p&gt;&lt;p&gt;More information and updates can be found at &lt;a href=&quot;http://www.codef00.com&quot;&gt;http://www.codef00.com&lt;/a&gt;&lt;/p&gt;&lt;p&gt;You can also report bugs an feature requests at &lt;a href=&quot;http://bugs.codef00.com&quot;&gt;http://bugs.codef00.com&lt;/a&gt;&lt;/p&gt;&lt;p&gt;Written by Evan Teran.&lt;/p&gt;&lt;p&gt;version: %1&lt;/p&gt;</source>
        <translation>&lt;p&gt;EDB (Evan&apos;s Debugger) is designed to be an easy to use, modular, and cross platform debugger.&lt;/p&gt;&lt;p&gt;More information and updates can be found at &lt;a href=&quot;http://www.codef00.com&quot;&gt;http://www.codef00.com&lt;/a&gt;&lt;/p&gt;&lt;p&gt;You can also report bugs an feature requests at &lt;a href=&quot;http://bugs.codef00.com&quot;&gt;http://bugs.codef00.com&lt;/a&gt;&lt;/p&gt;&lt;p&gt;Written by Evan Teran.&lt;/p&gt;&lt;p&gt;version: %1&lt;/p&gt;</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="413"/>
        <source>Goto Address</source>
        <translation>Goto Address</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="413"/>
        <source>Address:</source>
        <translation>Address:</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="422"/>
        <source>Error In Address Expression!</source>
        <translation>Error In Address Expression!</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="450"/>
        <source>No Memory Found</source>
        <translation>No Memory Found</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="451"/>
        <source>There appears to be no memory at that location (&lt;strong&gt;0x%1&lt;/strong&gt;)</source>
        <translation>There appears to be no memory at that location (&lt;strong&gt;0x%1&lt;/strong&gt;)</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="581"/>
        <source>Invalid Selection</source>
        <translation>Invalid Selection</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="582"/>
        <source>Please select a %1 bytes to use this function.</source>
        <translation>Please select a %1 bytes to use this function.</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="625"/>
        <source>Application Arguments</source>
        <translation>Application Arguments</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="625"/>
        <source>Arguments:</source>
        <translation>Arguments:</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="637"/>
        <source>Application Working Directory</source>
        <translation>Application Working Directory</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="637"/>
        <source>Working Directory:</source>
        <translation>Working Directory:</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="659"/>
        <source>Enter value to push</source>
        <translation>Enter value to push</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="831"/>
        <source>&amp;Goto Address</source>
        <translation>&amp;Goto Address</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="689"/>
        <source>&amp;Goto EIP</source>
        <translation>&amp;Goto EIP</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="705"/>
        <source>&amp;Follow</source>
        <translation>&amp;Follow</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="713"/>
        <source>Follow Constant In &amp;Dump</source>
        <translation>Follow Constant In &amp;Dump</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="716"/>
        <source>Follow Constant In &amp;Stack</source>
        <translation>Follow Constant In &amp;Stack</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="725"/>
        <source>&amp;Set EIP to this Instruction</source>
        <translation>&amp;Set EIP to this Instruction</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="833"/>
        <source>&amp;Edit Bytes</source>
        <translation>&amp;Edit Bytes</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="728"/>
        <source>&amp;Fill with 00&apos;s</source>
        <translation>&amp;Fill with 00&apos;s</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="729"/>
        <source>&amp;Fill with NOPs</source>
        <translation>&amp;Fill with NOPs</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="731"/>
        <source>&amp;Add Breakpoint</source>
        <translation>&amp;Add Breakpoint</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="732"/>
        <source>&amp;Add Conditional Breakpoint</source>
        <translation>&amp;Add Conditional Breakpoint</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="733"/>
        <source>&amp;Remove Breakpoint</source>
        <translation>&amp;Remove Breakpoint</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="829"/>
        <source>Follow Address In &amp;Dump</source>
        <translation>Follow Address In &amp;Dump</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="830"/>
        <source>Follow Address In &amp;Stack</source>
        <translation>Follow Address In &amp;Stack</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="798"/>
        <source>Goto E&amp;SP</source>
        <translation>Goto E&amp;SP</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="799"/>
        <source>Goto E&amp;BP</source>
        <translation>Goto E&amp;BP</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="803"/>
        <source>&amp;Push DWORD</source>
        <translation>&amp;Push DWORD</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="804"/>
        <source>P&amp;op DWORD</source>
        <translation>P&amp;op DWORD</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="808"/>
        <source>&amp;Lock Stack</source>
        <translation>&amp;Lock Stack</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="835"/>
        <source>&amp;Save To File</source>
        <translation>&amp;Save To File</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="849"/>
        <source>Save File</source>
        <translation>Save File</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="874"/>
        <source>Overwritting breakpoint</source>
        <translation>Overwritting breakpoint</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="875"/>
        <source>You are attempting to modify bytes which overlap with a software breakpoint. Doing this will implicitly remove any breakpoints which are a conflict. Are you sure you want to do this?</source>
        <translation>You are attempting to modify bytes which overlap with a software breakpoint. Doing this will implicitly remove any breakpoints which are a conflict. Are you sure you want to do this?</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="899"/>
        <source>Edit Binary String</source>
        <translation>Edit Binary String</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="952"/>
        <source>Set Breakpoint Condition</source>
        <translation>Set Breakpoint Condition</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="952"/>
        <source>Expression:</source>
        <translation>Expression:</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1111"/>
        <source>Application Killed</source>
        <translation>Application Killed</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1111"/>
        <source>The debugged application was killed.</source>
        <translation>The debugged application was killed.</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1163"/>
        <source>Error In Breakpoint Expression!</source>
        <translation>Error In Breakpoint Expression!</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1203"/>
        <source>Illegal Access Fault</source>
        <translation>Illegal Access Fault</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1208"/>
        <source>&lt;p&gt;The debugged application encountered a segmentation fault!&lt;br /&gt;The address &lt;strong&gt;0x%1&lt;/strong&gt; could not be accessed.&lt;/p&gt;&lt;p&gt;If you would like to pass this exception to the application press Shift+[F7/F8/F9]&lt;/p&gt;</source>
        <translation>&lt;p&gt;The debugged application encountered a segmentation fault!&lt;br /&gt;The address &lt;strong&gt;0x%1&lt;/strong&gt; could not be accessed.&lt;/p&gt;&lt;p&gt;If you would like to pass this exception to the application press Shift+[F7/F8/F9]&lt;/p&gt;</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1213"/>
        <source>Illegal Instruction Fault</source>
        <translation>Illegal Instruction Fault</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1216"/>
        <source>&lt;p&gt;The debugged application attempted to execute an illegal instruction.&lt;/p&gt;&lt;p&gt;If you would like to pass this exception to the application press Shift+[F7/F8/F9]&lt;/p&gt;</source>
        <translation>&lt;p&gt;The debugged application attempted to execute an illegal instruction.&lt;/p&gt;&lt;p&gt;If you would like to pass this exception to the application press Shift+[F7/F8/F9]&lt;/p&gt;</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1221"/>
        <source>Floating Point Exception</source>
        <translation>Floating Point Exception</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1224"/>
        <source>&lt;p&gt;The debugged application encountered a floating-point exception!&lt;/p&gt;&lt;p&gt;If you would like to pass this exception to the application press Shift+[F7/F8/F9]&lt;/p&gt;</source>
        <translation>&lt;p&gt;The debugged application encountered a floating-point exception!&lt;/p&gt;&lt;p&gt;If you would like to pass this exception to the application press Shift+[F7/F8/F9]&lt;/p&gt;</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1229"/>
        <source>Abort</source>
        <translation>Abort</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1232"/>
        <source>&lt;p&gt;The debugged application has aborted!&lt;/p&gt;&lt;p&gt;If you would like to pass this exception to the application press Shift+[F7/F8/F9]&lt;/p&gt;</source>
        <translation>&lt;p&gt;The debugged application has aborted!&lt;/p&gt;&lt;p&gt;If you would like to pass this exception to the application press Shift+[F7/F8/F9]&lt;/p&gt;</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1295"/>
        <source>Application Exited</source>
        <translation>Application Exited</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1295"/>
        <source>The debugged application exited normally with exit code %1.</source>
        <translation>The debugged application exited normally with exit code %1.</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1978"/>
        <source>EDB</source>
        <translation>EDB</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1848"/>
        <source>EDB Output</source>
        <translation>EDB Output</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1914"/>
        <source>Could Not Open</source>
        <translation>Could Not Open</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1914"/>
        <source>Failed to open and attach to process, please check priviledges and try again.</source>
        <translation>Failed to open and attach to process, please check priviledges and try again.</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1958"/>
        <source>You are already debugging that process!</source>
        <translation>You are already debugging that process!</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1978"/>
        <source>Failed to attach to process, please check priviledges and try again.</source>
        <translation>Failed to attach to process, please check priviledges and try again.</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="1991"/>
        <source>EDB - %1 [%2]</source>
        <translation>EDB - %1 [%2]</translation>
    </message>
    <message>
        <location filename="DebuggerMain.cpp" line="2000"/>
        <source>Choose a file</source>
        <translation>Choose a file</translation>
    </message>
</context>
<context>
    <name>DebuggerUI</name>
    <message>
        <location filename="debuggerui.ui" line="14"/>
        <source>EDB</source>
        <translation>EDB</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="332"/>
        <source>&amp;Help</source>
        <translation>&amp;Help</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="61"/>
        <source>&amp;View</source>
        <translation>&amp;View</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="442"/>
        <source>&amp;Plugins</source>
        <translation>&amp;Plugins</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="75"/>
        <source>&amp;Options</source>
        <translation>&amp;Options</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="83"/>
        <source>&amp;File</source>
        <translation>&amp;File</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="93"/>
        <source>&amp;Debug</source>
        <translation>&amp;Debug</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="120"/>
        <source>Registers</source>
        <translation>Registers</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="142"/>
        <source>1</source>
        <translation>1</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="152"/>
        <source>Data Dump</source>
        <translation>Data Dump</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="163"/>
        <source>00000000-00000000</source>
        <translation>00000000-00000000</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="174"/>
        <source>Stack</source>
        <translation>Stack</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="189"/>
        <source>ToolBar</source>
        <translation>ToolBar</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="211"/>
        <source>&amp;Open</source>
        <translation>&amp;Open</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="216"/>
        <source>&amp;Attach</source>
        <translation>&amp;Attach</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="221"/>
        <source>E&amp;xit</source>
        <translation>E&amp;xit</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="226"/>
        <source>&amp;Memory Regions</source>
        <translation>&amp;Memory Regions</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="229"/>
        <source>Ctrl+M</source>
        <translation>Ctrl+M</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="301"/>
        <source>&amp;Step Into</source>
        <translation>&amp;Step Into</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="249"/>
        <source>&amp;Run</source>
        <translation>&amp;Run</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="252"/>
        <source>F9</source>
        <translation>F9</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="264"/>
        <source>&amp;Pause</source>
        <translation>&amp;Pause</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="267"/>
        <source>F11</source>
        <translation>F11</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="275"/>
        <source>&amp;Restart</source>
        <translation>&amp;Restart</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="283"/>
        <source>&amp;Detach</source>
        <translation>&amp;Detach</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="289"/>
        <source>Detach</source>
        <translation>Detach</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="304"/>
        <source>F7</source>
        <translation>F7</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="316"/>
        <source>&amp;Step Over</source>
        <translation>&amp;Step Over</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="319"/>
        <source>F8</source>
        <translation>F8</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="324"/>
        <source>&amp;About</source>
        <translation>&amp;About</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="335"/>
        <source>F1</source>
        <translation>F1</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="343"/>
        <source>&amp;Toggle Breakpoint</source>
        <translation>&amp;Toggle Breakpoint</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="346"/>
        <source>F2</source>
        <translation>F2</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="351"/>
        <source>&amp;Configure Debugger</source>
        <translation>&amp;Configure Debugger</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="356"/>
        <source>About &amp;QT</source>
        <translation>About &amp;QT</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="361"/>
        <source>&amp;Breakpoint Manager</source>
        <translation>&amp;Breakpoint Manager</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="366"/>
        <source>Application &amp;Arguments</source>
        <translation>Application &amp;Arguments</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="374"/>
        <source>Run &amp;Until Return</source>
        <translation>Run &amp;Until Return</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="386"/>
        <source>&amp;Step Into (Pass Signal To Application)</source>
        <translation>&amp;Step Into (Pass Signal To Application)</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="389"/>
        <source>Shift+F7</source>
        <translation>Shift+F7</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="401"/>
        <source>&amp;Step Over (Pass Signal To Application)</source>
        <translation>&amp;Step Over (Pass Signal To Application)</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="404"/>
        <source>Shift+F8</source>
        <translation>Shift+F8</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="416"/>
        <source>&amp;Run (Pass Signal To Application)</source>
        <translation>&amp;Run (Pass Signal To Application)</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="419"/>
        <source>Shift+F9</source>
        <translation>Shift+F9</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="424"/>
        <source>&amp;Recent Files</source>
        <translation>&amp;Recent Files</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="429"/>
        <source>Application &amp;Working Directory</source>
        <translation>Application &amp;Working Directory</translation>
    </message>
    <message>
        <location filename="debuggerui.ui" line="437"/>
        <source>&amp;Kill</source>
        <translation>&amp;Kill</translation>
    </message>
</context>
<context>
    <name>DialogAttach</name>
    <message>
        <location filename="dialogattach.ui" line="14"/>
        <source>Attach To Process</source>
        <translation>Attach To Process</translation>
    </message>
    <message>
        <location filename="dialogattach.ui" line="26"/>
        <source>Filter:</source>
        <translation>Filter:</translation>
    </message>
    <message>
        <location filename="dialogattach.ui" line="39"/>
        <source>Only Show Entries For My UID</source>
        <translation>Only Show Entries For My UID</translation>
    </message>
    <message>
        <location filename="dialogattach.ui" line="62"/>
        <source>PID</source>
        <translation>PID</translation>
    </message>
    <message>
        <location filename="dialogattach.ui" line="67"/>
        <source>UID</source>
        <translation>UID</translation>
    </message>
    <message>
        <location filename="dialogattach.ui" line="72"/>
        <source>Name</source>
        <translation>Name</translation>
    </message>
</context>
<context>
    <name>DialogInputBinaryString</name>
    <message>
        <location filename="dialoginputbinarystring.ui" line="14"/>
        <source>Input Binary String</source>
        <translation>Input Binary String</translation>
    </message>
</context>
<context>
    <name>DialogInputValue</name>
    <message>
        <location filename="dialoginputvalue.ui" line="20"/>
        <source>Input Value</source>
        <translation>Input Value</translation>
    </message>
    <message>
        <location filename="dialoginputvalue.ui" line="29"/>
        <source>Hexdecimal</source>
        <translation>Hexdecimal</translation>
    </message>
    <message>
        <location filename="dialoginputvalue.ui" line="42"/>
        <source>Signed</source>
        <translation>Signed</translation>
    </message>
    <message>
        <location filename="dialoginputvalue.ui" line="55"/>
        <source>Unsigned</source>
        <translation>Unsigned</translation>
    </message>
</context>
<context>
    <name>DialogMemoryRegions</name>
    <message>
        <location filename="DialogMemoryRegions.cpp" line="62"/>
        <source>Set Access</source>
        <translation>Set Access</translation>
    </message>
    <message>
        <location filename="DialogMemoryRegions.cpp" line="64"/>
        <source>No Access</source>
        <translation>No Access</translation>
    </message>
    <message>
        <location filename="DialogMemoryRegions.cpp" line="65"/>
        <source>Read Only</source>
        <translation>Read Only</translation>
    </message>
    <message>
        <location filename="DialogMemoryRegions.cpp" line="66"/>
        <source>Write Only</source>
        <translation>Write Only</translation>
    </message>
    <message>
        <location filename="DialogMemoryRegions.cpp" line="67"/>
        <source>Execute Only</source>
        <translation>Execute Only</translation>
    </message>
    <message>
        <location filename="DialogMemoryRegions.cpp" line="68"/>
        <source>Read/Write</source>
        <translation>Read/Write</translation>
    </message>
    <message>
        <location filename="DialogMemoryRegions.cpp" line="69"/>
        <source>Read/Execute</source>
        <translation>Read/Execute</translation>
    </message>
    <message>
        <location filename="DialogMemoryRegions.cpp" line="70"/>
        <source>Write/Execute</source>
        <translation>Write/Execute</translation>
    </message>
    <message>
        <location filename="DialogMemoryRegions.cpp" line="71"/>
        <source>Full Access</source>
        <translation>Full Access</translation>
    </message>
    <message>
        <location filename="dialogmemoryregions.ui" line="14"/>
        <source>Memory Regions</source>
        <translation>Memory Regions</translation>
    </message>
    <message>
        <location filename="dialogmemoryregions.ui" line="23"/>
        <source>Filter:</source>
        <translation>Filter:</translation>
    </message>
</context>
<context>
    <name>DialogOptions</name>
    <message>
        <location filename="DialogOptions.cpp" line="51"/>
        <source>Choose a directory</source>
        <translation>Choose a directory</translation>
    </message>
    <message>
        <location filename="DialogOptions.cpp" line="63"/>
        <source>Choose Your Terminal Program</source>
        <translation>Choose Your Terminal Program</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="14"/>
        <source>Configure Debugger</source>
        <translation>Configure Debugger</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="35"/>
        <source>General</source>
        <translation>General</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="44"/>
        <source>Close Behaviour</source>
        <translation>Close Behaviour</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="53"/>
        <source>Detach From Debugged Application</source>
        <translation>Detach From Debugged Application</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="63"/>
        <source>Terminate Debugged Application</source>
        <translation>Terminate Debugged Application</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="95"/>
        <source>Appearance</source>
        <translation>Appearance</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="646"/>
        <source>...</source>
        <translation>...</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="116"/>
        <source>Default Disassembly View Font</source>
        <translation>Default Disassembly View Font</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="126"/>
        <source>Default Stack View Font</source>
        <translation>Default Stack View Font</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="136"/>
        <source>Default Register View Font</source>
        <translation>Default Register View Font</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="149"/>
        <source>Default Memory Dump View Font</source>
        <translation>Default Memory Dump View Font</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="185"/>
        <source>Default Data View Settings</source>
        <translation>Default Data View Settings</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="191"/>
        <source>Show Address</source>
        <translation>Show Address</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="198"/>
        <source>Show Hex</source>
        <translation>Show Hex</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="205"/>
        <source>Show ASCII</source>
        <translation>Show ASCII</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="212"/>
        <source>Show Comments</source>
        <translation>Show Comments</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="219"/>
        <source>Word Width</source>
        <translation>Word Width</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="271"/>
        <source>1 Byte</source>
        <translation>1 Byte</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="276"/>
        <source>2 Bytes</source>
        <translation>2 Bytes</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="281"/>
        <source>4 Bytes</source>
        <translation>4 Bytes</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="286"/>
        <source>8 Bytes</source>
        <translation>8 Bytes</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="263"/>
        <source>Row Width</source>
        <translation>Row Width</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="291"/>
        <source>16 Bytes</source>
        <translation>16 Bytes</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="317"/>
        <source>Show Semicolon in Addresses</source>
        <translation>Show Semicolon in Addresses</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="364"/>
        <source>Debugging</source>
        <translation>Debugging</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="370"/>
        <source>Initial Breakpoint</source>
        <translation>Initial Breakpoint</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="379"/>
        <source>Application Entry Point</source>
        <translation>Application Entry Point</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="389"/>
        <source>&quot;main&quot; symbol (when possible)</source>
        <translation>&quot;main&quot; symbol (when possible)</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="402"/>
        <source>Warn when setting breakpoint in non-executable region</source>
        <translation>Warn when setting breakpoint in non-executable region</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="409"/>
        <source>Use heuristic to find &quot;main&quot; symbol when it is not found in symbol file</source>
        <translation>Use heuristic to find &quot;main&quot; symbol when it is not found in symbol file</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="418"/>
        <source>Minimum length for string detection</source>
        <translation>Minimum length for string detection</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="446"/>
        <source>Command Line IO</source>
        <translation>Command Line IO</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="452"/>
        <source>Open a terminal to provide program input and output</source>
        <translation>Open a terminal to provide program input and output</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="462"/>
        <source>Terminal Program:</source>
        <translation>Terminal Program:</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="472"/>
        <source>/usr/bin/xterm</source>
        <translation>/usr/bin/xterm</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="511"/>
        <source>Disassembly</source>
        <translation>Disassembly</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="517"/>
        <source>Disassembly Syntax</source>
        <translation>Disassembly Syntax</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="526"/>
        <source>Intel</source>
        <translation>Intel</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="539"/>
        <source>AT&amp;&amp;T</source>
        <translation>AT&amp;&amp;T</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="549"/>
        <source>Instruction &quot;add byte ptr[eax], al&quot; (0x00 0x00) is &quot;Filling&quot; on x86</source>
        <translation>Instruction &quot;add byte ptr[eax], al&quot; (0x00 0x00) is &quot;Filling&quot; on x86</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="556"/>
        <source>Disassemble in uppercase</source>
        <translation>Disassemble in uppercase</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="585"/>
        <source>Directories</source>
        <translation>Directories</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="593"/>
        <source>Symbol Directory</source>
        <translation>Symbol Directory</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="613"/>
        <source>Plugin Directory</source>
        <translation>Plugin Directory</translation>
    </message>
    <message>
        <location filename="dialogoptions.ui" line="633"/>
        <source>Session Directory</source>
        <translation>Session Directory</translation>
    </message>
</context>
<context>
    <name>DialogPlugins</name>
    <message>
        <location filename="dialogplugins.ui" line="13"/>
        <source>Plugins</source>
        <translation>Plugins</translation>
    </message>
    <message>
        <location filename="dialogplugins.ui" line="32"/>
        <source>Filename</source>
        <translation>Filename</translation>
    </message>
    <message>
        <location filename="dialogplugins.ui" line="37"/>
        <source>Plugin Name</source>
        <translation>Plugin Name</translation>
    </message>
    <message>
        <location filename="dialogplugins.ui" line="42"/>
        <source>Author</source>
        <translation>Author</translation>
    </message>
    <message>
        <location filename="dialogplugins.ui" line="47"/>
        <source>Website</source>
        <translation>Website</translation>
    </message>
</context>
<context>
    <name>ETabWidget</name>
    <message>
        <location filename="widgets/ETabWidget.cpp" line="39"/>
        <source>&amp;Set Label</source>
        <translation>&amp;Set Label</translation>
    </message>
    <message>
        <location filename="widgets/ETabWidget.cpp" line="40"/>
        <source>&amp;Clear Label</source>
        <translation>&amp;Clear Label</translation>
    </message>
    <message>
        <location filename="widgets/ETabWidget.cpp" line="47"/>
        <source>Set Caption</source>
        <translation>Set Caption</translation>
    </message>
    <message>
        <location filename="widgets/ETabWidget.cpp" line="48"/>
        <source>Caption:</source>
        <translation>Caption:</translation>
    </message>
</context>
<context>
    <name>QDisassemblyView</name>
    <message>
        <location filename="widgets/QDisassemblyView.cpp" line="206"/>
        <source>invalid</source>
        <translation>invalid</translation>
    </message>
</context>
<context>
    <name>QHexView</name>
    <message>
        <location filename="widgets/QHexView.cpp" line="152"/>
        <source>Set &amp;Font</source>
        <translation>Set &amp;Font</translation>
    </message>
    <message>
        <location filename="widgets/QHexView.cpp" line="154"/>
        <source>Show A&amp;ddress</source>
        <translation>Show A&amp;ddress</translation>
    </message>
    <message>
        <location filename="widgets/QHexView.cpp" line="155"/>
        <source>Show &amp;Hex</source>
        <translation>Show &amp;Hex</translation>
    </message>
    <message>
        <location filename="widgets/QHexView.cpp" line="156"/>
        <source>Show &amp;ASCII</source>
        <translation>Show &amp;ASCII</translation>
    </message>
    <message>
        <location filename="widgets/QHexView.cpp" line="157"/>
        <source>Show &amp;Comments</source>
        <translation>Show &amp;Comments</translation>
    </message>
    <message>
        <location filename="widgets/QHexView.cpp" line="161"/>
        <source>Set Word Width</source>
        <translation>Set Word Width</translation>
    </message>
    <message>
        <location filename="widgets/QHexView.cpp" line="162"/>
        <source>1 Byte</source>
        <translation>1 Byte</translation>
    </message>
    <message>
        <location filename="widgets/QHexView.cpp" line="163"/>
        <source>2 Bytes</source>
        <translation>2 Bytes</translation>
    </message>
    <message>
        <location filename="widgets/QHexView.cpp" line="164"/>
        <source>4 Bytes</source>
        <translation>4 Bytes</translation>
    </message>
    <message>
        <location filename="widgets/QHexView.cpp" line="165"/>
        <source>8 Bytes</source>
        <translation>8 Bytes</translation>
    </message>
    <message>
        <location filename="widgets/QHexView.cpp" line="176"/>
        <source>Set Row Width</source>
        <translation>Set Row Width</translation>
    </message>
    <message>
        <location filename="widgets/QHexView.cpp" line="177"/>
        <source>1 Word</source>
        <translation>1 Word</translation>
    </message>
    <message>
        <location filename="widgets/QHexView.cpp" line="178"/>
        <source>2 Words</source>
        <translation>2 Words</translation>
    </message>
    <message>
        <location filename="widgets/QHexView.cpp" line="179"/>
        <source>4 Words</source>
        <translation>4 Words</translation>
    </message>
    <message>
        <location filename="widgets/QHexView.cpp" line="180"/>
        <source>8 Words</source>
        <translation>8 Words</translation>
    </message>
    <message>
        <location filename="widgets/QHexView.cpp" line="181"/>
        <source>16 Words</source>
        <translation>16 Words</translation>
    </message>
    <message>
        <location filename="widgets/QHexView.cpp" line="196"/>
        <source>&amp;Copy Selection To Clipboard</source>
        <translation>&amp;Copy Selection To Clipboard</translation>
    </message>
</context>
<context>
    <name>QObject</name>
    <message>
        <location filename="Debugger.cpp" line="337"/>
        <source>Suspicious breakpoint</source>
        <translation>Suspicious breakpoint</translation>
    </message>
    <message>
        <location filename="Debugger.cpp" line="342"/>
        <source>You want to place a breakpoint in a non-executable region.
An INT3 breakpoint set on data will not execute and may cause incorrect results or crashes.
Do you really want to set a breakpoint here?</source>
        <translation>You want to place a breakpoint in a non-executable region.
An INT3 breakpoint set on data will not execute and may cause incorrect results or crashes.
Do you really want to set a breakpoint here?</translation>
    </message>
    <message>
        <location filename="Debugger.cpp" line="353"/>
        <source>Error Setting Breakpoint</source>
        <translation>Error Setting Breakpoint</translation>
    </message>
    <message>
        <location filename="Debugger.cpp" line="354"/>
        <source>Sorry, but setting a breakpoint which is not in a valid region is not allowed.</source>
        <translation>Sorry, but setting a breakpoint which is not in a valid region is not allowed.</translation>
    </message>
    <message>
        <location filename="Debugger.cpp" line="410"/>
        <source>Input Value</source>
        <translation>Input Value</translation>
    </message>
    <message>
        <location filename="main.cpp" line="115"/>
        <source>EDB Failed To Load A Neccessary Plugin</source>
        <translation>EDB Failed To Load A Neccessary Plugin</translation>
    </message>
    <message>
        <location filename="main.cpp" line="117"/>
        <source>Failed to load debugger core plugin. Please make sure it exists and that the plugin path is correctly configured.
This is normal if EDB has not been previously run or the configuration file has been removed.</source>
        <translation>Failed to load debugger core plugin. Please make sure it exists and that the plugin path is correctly configured.
This is normal if EDB has not been previously run or the configuration file has been removed.</translation>
    </message>
</context>
<context>
    <name>RecentFileManager</name>
    <message>
        <location filename="RecentFileManager.cpp" line="120"/>
        <source>Clear &amp;Menu</source>
        <translation>Clear &amp;Menu</translation>
    </message>
</context>
</TS>
